Just to make sure...CycloDS Evo works with ALL types of Nintendo DS?

Discussion in 'CycloDS' started by DTGS, Dec 7, 2008.

  1. DTGS
    OP

    Newcomer DTGS Advanced Member

    Joined:
    Nov 29, 2008
    Messages:
    85
    Location:
    Varrock
    Country:
    United States
    I just bought the new Silver(?) Metallic DS Lite....and I wanted to know if it's compatible with CycloDS Evo....

    Thanks.
     
  2. Chrono_Tata

    Member Chrono_Tata GBAtemp Advanced Fan

    Joined:
    Jan 26, 2008
    Messages:
    851
    Country:
    Thailand
    It's not compatible with the DSi (not yet anyway) but you can use it on your DS Lite, yes.
     
  3. DTGS
    OP

    Newcomer DTGS Advanced Member

    Joined:
    Nov 29, 2008
    Messages:
    85
    Location:
    Varrock
    Country:
    United States
    Thanks
     
  4. Priss

    Member Priss GBAtemp Regular

    Joined:
    Oct 18, 2008
    Messages:
    209
    Location:
    Hamilton, Ontario
    Country:
    Canada
    Compatible to ANY DS-Lite regardless of it's color [​IMG]

    Enjoy ~
     
  5. Pedobear

    Banned Pedobear Banned

    Joined:
    Nov 30, 2008
    Messages:
    165
    Country:
    United States
    DS-i is currently in the works, probly out jan or feb
     
  6. Goofy Time

    Member Goofy Time GBAtemp Fan

    Joined:
    Feb 12, 2007
    Messages:
    353
    Country:
    United States
    Do we have to buy an all new model of the Cycldo DS in order for it to work on the DSi?

    I bought mine barely a month and change ago.
     
  7. DeMoN

    Member DeMoN GBAtemp Guru

    Joined:
    May 12, 2004
    Messages:
    7,647
    Country:
    United States
    Yeah, there's no way an old flash card could work on the DSi with just a firmware update.
     
  8. Maikel Steneker

    Member Maikel Steneker M3 Fanboy

    Joined:
    May 16, 2007
    Messages:
    3,396
    Country:
    Netherlands
    We don't know that for sure. Remember that the CycloDS Evolution has a real firmware, and not a firmware that loads software on the SD card. It might be possible to completely reflash the firmware to make it support the DSi.
     
  9. TenchuBlaze

    Newcomer TenchuBlaze Member

    Joined:
    Feb 27, 2008
    Messages:
    23
    Country:
    United States
    Let's hope that's the case. Cause I don't wanna buy another flash card when/if I get a DSi. =/
     
  10. DeMoN

    Member DeMoN GBAtemp Guru

    Joined:
    May 12, 2004
    Messages:
    7,647
    Country:
    United States
    It's looking to be the case since Team Acekard just released a new flash card for the DSi. And besides, it will only net the flash card teams more money so why would they bother trying to make a DSi compatible firmware update.
     
  11. fst312

    Member fst312 GBAtemp Fan

    Joined:
    Nov 4, 2008
    Messages:
    482
    Location:
    New York
    Country:
    United States
    why does anyone care if cyclo or any other cart would work on the dsi.your going to end up playing the games you are already able to play already.like the ace kard so far there is no word in even being able to hack into the download software.no one hacked in the sd card slot which is more important than getting the flash cart work that is going to do the same thing as the cyclo you just bought is doing right now.it a waste of money to buy a dsi right now.
     
  12. Pedobear

    Banned Pedobear Banned

    Joined:
    Nov 30, 2008
    Messages:
    165
    Country:
    United States

Share This Page